Skip to main content
GET
Get Request Details

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

request_id
string
required

The request ID

Response

Successful Response

Request's details used when displaying a single request.

id
string
required

Request ID

Example:

"96763b8fb655e9f18a2e04097b704e39-458959"

path
string
required

Request path

Example:

"/new_index"

method
string
required

Request method

Example:

"GET"

action
string
required

Request action

Example:

"block"

rule_id
string
required

ID of the triggered rule

Example:

"86"

rule_name
string
required

Name of the triggered rule

Example:

"SQL Injection"

user_agent
UserAgent · object
required

User agent

network
Network · object
required

Network details

request_time
string<date-time>
required

The time of the request

Example:

"2025-08-28T07:13:59"

reference_id
string
required

Reference ID to identify user sanction

Example:

"ad07c06f19054e484974fa22e9fb6bb1"

session_id
string
required

The session ID associated with the request.

Example:

"0c74d14951b22dc3f22cbba9668ecea1"

content_type
string
required

Content type of request

Example:

"text/html; charset=UTF-8"

scheme
string
required

The URI scheme of the request that generated an event

Example:

"https"

http_status_code
integer
required

Status code for http request

Example:

200

http_version
string
required

HTTP version of request

Example:

"1.1"

response_time
string
required

Time took to process all request

Example:

"3"

request_headers
Request Headers · object
required

HTTP request headers

Example:
incident_id
string
required

ID of challenge that was generated

Example:

"9f06152824394345"

request_type
string
required

The type of the request that generated an event

Example:

"block"

session_request_count
string
required

The number requests in session

Example:

"1"

domain
string
required

Domain name

Example:

"example.com"

requested_domain
string
required

The real domain name

Example:

"example.com"

query_string
string
required

The query string of the request

Example:

"q=select%20user%20from%20master..a"

result
enum<string>
required

The result of a request

Available options:
passed,
blocked,
suppressed,
Example:

"passed"

traffic_types
string[]
required

List of traffic types

Example:
pattern_matched_tags
PatternMatchedTag · object[]
required

List of shield tags

common_tags
CommonTag · object[]
required

List of common tags

decision
enum<string>
default:""

The decision made for processing the request through the WAAP.

Available options:
passed,
allowed,
monitored,
blocked,
Example:

"blocked"

optional_action
enum<string>
default:""

An optional action that may be applied in addition to the primary decision.

Available options:
captcha,
challenge,
Example:

"captcha"

ja3
string
default:""

JA3 TLS client fingerprint as a 32-character lowercase hexadecimal MD5 hash, or an empty string when the record has no JA3 value.

Example:

"e7d705a3286e19ea42f587b344ee6865"

ja4
string
default:""

JA4 TLS client fingerprint in the form <ja4_a>_<ja4_b>_<ja4_c> (a 10-character prefix and two 12-character lowercase hexadecimal hashes), or an empty string when the record has no JA4 value.

Example:

"t13d3113h2_e8f1e7e78f70_ce5650b735ce"

detector
Detector · object[]

Rules that matched the request and triggered the event decision.